Bug 204029 - the /etc/csh.cshrc blocks csh/tcsh scripts from debugging
Summary: the /etc/csh.cshrc blocks csh/tcsh scripts from debugging
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tcsh   
(Show other bugs)
Version: 4.3
Hardware: All Linux
medium
high
Target Milestone: ---
: ---
Assignee: Vitezslav Crhonek
QA Contact: Bill Huang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-25 06:31 UTC by Robinson Tiemuqinke
Modified: 2010-04-06 08:42 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0676
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 19:33:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backport of a patch from #162187 (3.03 KB, patch)
2006-08-27 15:31 UTC, Miloslav Trmač
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0676 normal SHIPPED_LIVE tcsh bug fix update 2008-07-23 14:48:36 UTC

Description Robinson Tiemuqinke 2006-08-25 06:31:27 UTC
Description of problem: From redhat 7.2 now, the /etc/csh.cshrc file blocks 
csh/tcsh scripts from debugging. the '$?variableName' inside /etc/csh.cshrc 
aborts debugging of scripts immediately. 


Version-Release number of selected component (if applicable): 6.13


How reproducible:
every time.

Steps to Reproduce:
1. code a simple script like the following:

  [root@www ~]# cat /var/tmp/test.csh
  #!/bin/tcsh -Xvn
  echo " I'm here"
  [root@www ~]#

2. run the script and it will fail the dry-run(debugging) of above script 
immediately.

3.
  
Actual results:

  [root@www ~]# /var/tmp/test.csh
  if ( "$group" == "$user" && $uid > 99 ) then 
  endif
  if ( $?prompt ) then
  $?prompt: No match.
  [root@www ~]#


Expected results:

 continue sourcing /etc/csh.cshrc, /etc/profile.d/*.csh, and dry-run the above 
script.

Additional info:

 The $?variable expression fails to do its job under the '-n' option?

Comment 1 Miloslav Trmač 2006-08-27 15:31:02 UTC
Created attachment 134999 [details]
Backport of a patch from #162187

Comment 2 Miloslav Trmač 2006-08-27 15:33:02 UTC
If you are a RHEL customer and have an active support entitlement, please contact
official Red Hat Support at https://www.redhat.com/apps/support/ to allow correct
prioritization of this issue.

Comment 3 RHEL Product and Program Management 2007-11-29 04:24:47 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 9 Michal Nowak 2008-03-11 11:04:02 UTC
RHTS covered by:

http://cvs.devel.redhat.com/cgi-bin/cvsweb.cgi/tests/tcsh/debugging-in-tcsh/

Comment 11 errata-xmlrpc 2008-07-24 19:33:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0676.html


Note You need to log in before you can comment on or make changes to this bug.